﻿//------------------------------------------------------------------------------
// <auto-generated>
//    Este código se generó a partir de una plantilla.
//
//    Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//    Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Conector
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class EntitiesConexiones : DbContext
    {
        public EntitiesConexiones()
            : base("name=EntitiesConexiones")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public DbSet<ACCION> ACCION { get; set; }
        public DbSet<ACTIVIDAD> ACTIVIDAD { get; set; }
        public DbSet<CARGO> CARGO { get; set; }
        public DbSet<EMPRESA> EMPRESA { get; set; }
        public DbSet<ESTADO_TAREA> ESTADO_TAREA { get; set; }
        public DbSet<HISTORIAL_REGISTRO> HISTORIAL_REGISTRO { get; set; }
        public DbSet<HISTORICO_TAREA> HISTORICO_TAREA { get; set; }
        public DbSet<LISTA> LISTA { get; set; }
        public DbSet<PERFIL> PERFIL { get; set; }
        public DbSet<PERMISO> PERMISO { get; set; }
        public DbSet<PROCESO> PROCESO { get; set; }
        public DbSet<USUARIO> USUARIO { get; set; }
        public DbSet<TOKEN_REGISTRO> TOKEN_REGISTRO { get; set; }
        public DbSet<TAREA> TAREA { get; set; }
    }
}
